/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-06-27 at 22:14:40 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.bigquery.model;

/**
 * Represents a single cell in the result set. Users of the java client can detect whether their
 * value result is null by calling 'com.google.api.client.util.Data.isNull(cell.getV())'.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the BigQuery API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class TableCell extends com.google.api.client.json.GenericJson {

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Object v;

  /**
   * @return value or {@code null} for none
   */
  public java.lang.Object getV() {
    return v;
  }

  /**
   * @param v v or {@code null} for none
   */
  public TableCell setV(java.lang.Object v) {
    this.v = v;
    return this;
  }

  @Override
  public TableCell set(String fieldName, Object value) {
    return (TableCell) super.set(fieldName, value);
  }

  @Override
  public TableCell clone() {
    return (TableCell) super.clone();
  }

}
